StructMember (Java SE 9 & JDK 9 )
Keywords: org.omg.CORBA.StructMember class

Module java.corba
Package org.omg.CORBA

## Class StructMember

- java.lang.Object
- - org.omg.CORBA.StructMember

- All Implemented Interfaces:
    `Serializable`, `IDLEntity`

      public final class StructMember
      extends Object
      implements IDLEntity

  Describes a member of an IDL `struct` in the Interface Repository, including the name of the `struct` member, the type of the `struct` member, and the typedef that represents the IDL type of the `struct` member described the `struct` member object.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `name` | The name of the struct member described by this `StructMember` object.
    `TypeCode` | `type` | The type of the struct member described by this `StructMember` object.
    `IDLType` | `type_def` | The typedef that represents the IDL type of the struct member described by this `StructMember` object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StructMember​()` | Constructs a default `StructMember` object.
    `StructMember​(String __name, TypeCode __type, IDLType __type_def)` | Constructs a `StructMember` object initialized with the given values.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

      The name of the struct member described by this `StructMember` object.

    - #### type

          public TypeCode type

      The type of the struct member described by this `StructMember` object.

    - #### type_def

          public IDLType type_def

      The typedef that represents the IDL type of the struct member described by this `StructMember` object.

  - ### Constructor Detail

    - #### StructMember

          public StructMember​()

      Constructs a default `StructMember` object.

    - #### StructMember

          public StructMember​(String __name,
                              TypeCode __type,
                              IDLType __type_def)

      Constructs a `StructMember` object initialized with the given values.
      Parameters:
        `__name` - a `String` object with the name of the struct member
        `__type` - a `TypeCode` object describing the type of the struct member
        `__type_def` - an `IDLType` object representing the IDL type of the struct member